# Distro specific variables for RedHat
---
named_default_python_version: "{{ (ansible_distribution_major_version == '8') | ternary('3', '2') }}"
named_packages:
  - "{{ (named_python_version == '3') | ternary('python3-netaddr', 'python-netaddr') }}"
  - "{{ (named_python_version == '3') | ternary('python3-dns', 'python-dns') }}"
  - bind
  - bind-utils

named_service: named

# Main config file
named_config: /etc/named.conf

# Zone files included in the installation
named_default_zone_files:
  - /etc/named.root.key
  - /etc/named.rfc1912.zones

# Directory with run-time stuff
named_dir: /var/named
named_conf_dir: /etc/named
named_auth_filename: auth_transfer.conf
named_auth_file: "{{ named_conf_dir }}/{{ named_auth_filename }}"

named_owner: root
named_group: named

named_bindkeys_file: /etc/named.iscdlv.key
named_pid_file: /run/named/named.pid
named_session_keyfile: /run/named/session.key

# Custom location for zone files
named_zone_dir: "{{ named_dir }}"
named_secondary_dir: "{{ named_dir }}/secondary"
